<?php


namespace OrganizationsManagement\Controller;

use OrganizationsManagement\Traits\TResponse;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use OrganizationsManagement\Util\Utilities;
use OrganizationsManagement\Util\InstanceProvider;


class Test
{
    use TResponse;

    public function findAll(DTO\Request $request, DTO\Response $response){
        try {
            debugApi([$request->getParameters()]);
            $data = [['id' => 1, "nome" => "Wands"],["id" => 2, "nome" => "Tião"]];
            $data = ['data' => $data, 'pagination' => ["total" => 10, "page" => (int)1, "limit" => (int)10]];
            $this->sendResponse($data, 200);
        } catch (\Exception $ex){
            $response->setError(new Error($ex->getMessage(), $ex->getCode()));
            $response->addMessage(new DTO\Response\Message($ex->getMessage()));
        }
    }

    public function findTeste(DTO\Request $request, DTO\Response $response){
        try {
            debugApi(['/testRoute/teste', $request->getParameters()]);
            $data = [['id' => 1, "nome" => "Wands"],["id" => 2, "nome" => "Tião"]];
            $data = ['data' => $data, 'pagination' => ["total" => 10, "page" => (int)1, "limit" => (int)10]];
            $this->sendResponse($data, 200);
        } catch (\Exception $ex){
            $response->setError(new Error($ex->getMessage(), $ex->getCode()));
            $response->addMessage(new DTO\Response\Message($ex->getMessage()));
        }
    }
}
